<?php

namespace SovereignStack\SecuritySafe;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Run Policy
PolicyDisableTextHighlight::init();

/**
 * Class PolicyDisableTextHighlight
 *
 * @package SecuritySafe
 * @since   1.1.0
 */
final class PolicyDisableTextHighlight {

	/**
	 * Register hooks
	 *
	 * @return void
	 */
	public static function init(): void {

		add_action( 'wp_enqueue_scripts', [
			self::class,
			'scripts',
		] );
	}

	/**
	 * Loads CSS To Prevent Highlighting.
	 */
	public static function scripts(): void {

		// Load CSS
		wp_register_style( 'ss-pdth', SECSAFE_URL_ASSETS . 'css/pdth.css', [], filemtime( SECSAFE_DIR_ASSETS . '/css/pdth.css' ), 'all' );
		wp_enqueue_style( 'ss-pdth' );
	}
}
